Package org.eclipse.debug.ui

# Interface IDebugView

All Superinterfaces:
  `IAdaptable`, `IPersistable`, `IViewPart`, `IWorkbenchPart`

All Known Implementing Classes:
  `AbstractDebugView`

public interface IDebugView extends IViewPart
Common function for debug views. Provides access to the underlying viewer and debug model presentation being used by a viewer. This allows clients to do such things as add and remove filters to a viewer, and configure a debug model presentation.

Clients may implement this interface. Generally, clients should subclass `AbstractDebugView` when creating a new debug view.

Since:
  2.0
See Also:
  - `IAdaptable`
  - `IDebugModelPresentation`
  - `AbstractDebugView`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COPY_ACTION`
Action id for a view's copy action.
`static final String`
`CUT_ACTION`
Action id for a view's cut action.
`static final String`
`DOUBLE_CLICK_ACTION`
Action id for a view's double-click action.
`static final String`
`FIND_ACTION`
Action id for a view's find action.
`static final String`
`PASTE_ACTION`
Action id for a view's paste action.
`static final String`
`REMOVE_ACTION`
Action id for a view's remove action.
`static final String`
`SELECT_ALL_ACTION`
Action id for a view's select all action.

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IUpdate updatable)`
Adds the given IUpdate to this view's collection of updatable objects.
`IAction`
`getAction(String actionID)`
Returns the action installed under the given action id.
`IMenuManager`
`getContextMenuManager()`
Deprecated.
See AbstractDebugView#getContextMenuManagers()
`IDebugModelPresentation`
`getPresentation(String id)`
Returns the debug model presentation for this view specified by the debug model identifier.
`Viewer`
`getViewer()`
Returns the viewer contained in this debug view.
`void`
`remove(IUpdate updatable)`
Removes the given IUpdate from this view's collection of updatable objects.
`void`
`setAction(String actionID, IAction action)`
Installs the given action under the given action id.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

## Field Details

### COPY_ACTION

static final String COPY_ACTION
Action id for a view's copy action. Any view with a copy action that should be invoked when CTRL+C is pressed should store their copy action with this key.

See Also:
  - `setAction(String, IAction)`

### CUT_ACTION

static final String CUT_ACTION
Action id for a view's cut action. Any view with a cut action that should be invoked when CTRL+X is pressed should store their cut action with this key.

See Also:
  - `setAction(String, IAction)`

### DOUBLE_CLICK_ACTION

static final String DOUBLE_CLICK_ACTION
Action id for a view's double-click action. Any view with an action that should be invoked when the mouse is double-clicked should store their double-click action with this key.

See Also:
  - `setAction(String, IAction)`
  - Constant Field Values

### FIND_ACTION

static final String FIND_ACTION
Action id for a view's find action. Any view with a find action that should be invoked when CTRL+F is pressed should store their find action with this key.

See Also:
  - `setAction(String, IAction)`

### PASTE_ACTION

static final String PASTE_ACTION
Action id for a view's paste action. Any view with a paste action that should be invoked when CTRL+V is pressed should store their paste action with this key.

See Also:
  - `setAction(String, IAction)`

### REMOVE_ACTION

static final String REMOVE_ACTION
Action id for a view's remove action. Any view with a remove action that should be invoked when the delete key is pressed should store their remove action with this key.

See Also:
  - `setAction(String, IAction)`
  - Constant Field Values

### SELECT_ALL_ACTION

static final String SELECT_ALL_ACTION
Action id for a view's select all action. Any view with a select all action that should be invoked when CTRL+A is pressed should store their select all action with this key.

See Also:
  - `setAction(String, IAction)`

## Method Details

### getViewer

Viewer getViewer()
Returns the viewer contained in this debug view.

Returns:
  viewer

### getPresentation

IDebugModelPresentation getPresentation(String id)
Returns the debug model presentation for this view specified by the debug model identifier.

Parameters:
  `id` - the debug model identifier that corresponds to the `id` attribute of a debug model presentation extension
Returns:
  the debug model presentation, or `null` if no presentation is registered for the specified id

### setAction

void setAction(String actionID, IAction action)
Installs the given action under the given action id. If the action has an id that maps to one of the global action ids defined by this interface, the action is registered as a global action handler. If the action is an instance of `IUpdate` it is added/remove from the collection of updateables associated with this view.

Parameters:
  `actionID` - the action id
  `action` - the action, or `null` to clear it
See Also:
  - `getAction(java.lang.String)`

### add

void add(IUpdate updatable)
Adds the given IUpdate to this view's collection of updatable objects. Allows the view to periodically update these registered objects. Has no effect if an identical IUpdate is already registered.

Parameters:
  `updatable` - The IUpdate instance to be added

### remove

void remove(IUpdate updatable)
Removes the given IUpdate from this view's collection of updatable objects. Has no effect if an identical IUpdate was not already registered.

Parameters:
  `updatable` - The IUpdate instance to be removed

### getAction

IAction getAction(String actionID)
Returns the action installed under the given action id.

Parameters:
  `actionID` - the action id
Returns:
  the action, or `null` if none
See Also:
  - `setAction(java.lang.String, org.eclipse.jface.action.IAction)`

### getContextMenuManager

@Deprecated IMenuManager getContextMenuManager()
Deprecated.
See AbstractDebugView#getContextMenuManagers()
Returns the context menu manager for this view.

Returns:
  the context menu manager for this view, or `null` if none